Package net.shibboleth.idp.plugin.authn.webauthn.context.navigate

# Class UsernameLookupFromRegistrationContext

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.context.navigate.UsernameLookupFromRegistrationContext

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

public class UsernameLookupFromRegistrationContext extends Object implements Function<ProfileRequestContext,String>
Pull out a username from a WebAuthn Registration Context if it exists. Useful when operating inside a WebAuthn registration flow.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`UsernameLookupFromRegistrationContext()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### UsernameLookupFromRegistrationContext

public UsernameLookupFromRegistrationContext()

## Method Details

### apply

public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`